<template>
  <div class="navbar">
    <div class="sys-name">
      <img id="nav-logo" :src="logo" alt="logo">
      <h3>公司信息上报</h3>
    </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
  name: 'NaveBarComponent',
  data() {
    return {
      logo: require('@/assets/images/logo/thumb.png')
    }
  },
  computed: {
    ...mapGetters([
      'device',
    ]),
    hideMenuBt() {
      return this.permission_routes.filter(item => !item.hidden).length < 1
    }
  },
  watch: {
    menuSideTab(val) {
      const item = this.sideMenuTabList[val]
      this.sideTabChange(val, item)
    },
    $route() {
      localStorage.setItem('sidepath', this.$route.path)
    }
  },
  methods: {


  }
}
</script>

<style lang="scss" scoped>
.navbar {
  height: var(--navHeight);
  // overflow: auto;
  background: unset;
  box-shadow: 0 1px 4px rgba(0, 21, 41, .08);
  border-bottom: 1px solid #457486;
  position: fixed;
  width: 100%;
  z-index: 999;
  left: 0;
  box-sizing: border-box;
  background-color: var(--menuBg, #113144);
  top: 0;
  display: flex;
  .sys-name{
    height: 100%;
    display: flex;
    align-items: center;
    float: left;
    padding-left: 10px;
    color: #fff;
    #nav-logo{
        display: block;
        height: 40px;
    }

    .breadcrumb-container {
      padding-top:10px;
      float: left;
    }
  }
}
</style>
